$(document).ready(function() {

	handleHidingMenu();
	handleUserPopUp();
	handleCountryPopUp();
	handleGroupLinksPopUps();

});



	function handleHidingMenu(){ 
		$('.header__hamburger').on('click', function() {
			$('body').toggleClass('menu--show');
		});
	}

	function handleUserPopUp(){
		$('.header__userbox').on('click', function() {
			if($('.header__userbox__popup').hasClass('active')) { $('.header__userbox__popup').fadeOut().removeClass('active'); }
			else { $('.header__userbox__popup').toggleClass('active').fadeIn(100); }
		});
		$(document).click(function(e) {
			if($(e.target).closest('.header__userbox').length < 1) {
				$('.header__userbox__popup').removeClass('active').fadeOut(100);
			}
		});
	}

	function handleCountryPopUp(){
		$('.header__countries').on('click', function() {
			if($('.header__countries__popup').hasClass('active')) { $('.header__countries__popup').fadeOut().removeClass('active'); }
			else { $('.header__countries__popup').toggleClass('active').fadeIn(100); }
		});
		$(document).click(function(e) {
			if($(e.target).closest('.header__countries').length < 1) {
				$('.header__countries__popup').removeClass('active').fadeOut(100);
			}
		});
	}

	function handleGroupLinksPopUps(){
		$('.header__grouplinks').on('click', function() {
			var $popup = $(this).find('.header__grouplinks__popup');
			if($popup.hasClass('active')) { $popup.fadeOut().removeClass('active'); }
			else { $popup.toggleClass('active').fadeIn(100); }
		});
		$(document).click(function(e) {
			if($(e.target).closest('.header__grouplinks').length < 1) {
				$('.header__grouplinks__popup').removeClass('active').fadeOut(100);
			}
		});
	}